Pular para o conteúdo principal
POST
Python (SDK)

Autorizações

Authorization
string
header
obrigatório

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Cabeçalhos

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Corpo

application/json
session_id
string
obrigatório
session_key
string | null
user_id
string
padrão:demo-user
session_kind
enum<string>
padrão:standard
Opções disponíveis:
standard,
browser
ttl_seconds
integer
padrão:600
Intervalo obrigatório: x >= 1
sandbox_features
enum<string>[]
Opções disponíveis:
python,
git,
claude-code
runtime_profile
enum<string>
padrão:standard
Opções disponíveis:
standard,
eval-python
memory_mounts
MemoryMount · object[]
queue_if_full
boolean
padrão:false
skip_llm_credential_exchange
boolean
padrão:false

Resposta

Resposta Bem-Sucedida

session
SessionRecord · object
obrigatório
session_token
string
obrigatório
sandbox_url
string | null
provider
enum<string> | null
Opções disponíveis:
in-memory,
runner-process,
runner-docker,
runner-firecracker